// Machine generated IDispatch wrapper class(es) created with Add Class from Typelib Wizard

#import "C:\\AlgoStars\\APPs(UAT)\\TCoreRelease\\Components\\TCTradeWrapperAPI.dll" no_namespace
// CadiExerciseStatusItem wrapper class

class CadiExerciseStatusItem : public COleDispatchDriver
{
public:
	CadiExerciseStatusItem(){} // Calls COleDispatchDriver default constructor
	CadiExerciseStatusItem(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CadiExerciseStatusItem(const CadiExerciseStatusItem& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

	// Attributes
public:

	// Operations
public:


	// adiExerciseStatusItem methods
public:
	void SetItemCookie(long ItemCookie)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x1, DISPATCH_METHOD, VT_EMPTY, NULL, parms, ItemCookie);
	}
	CString GetItemData(LPCTSTR Key)
	{
		CString result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0x2, DISPATCH_METHOD, VT_BSTR, (void*)&result, parms, Key);
		return result;
	}

	// adiExerciseStatusItem properties
public:

};
